# GpgFrontend Project: GpgFrontend::UI::AppearanceTab Class Reference

GpgFrontend::UI::AppearanceTab Class Reference
Inheritance diagram for GpgFrontend::UI::AppearanceTab:
Collaboration diagram for GpgFrontend::UI::AppearanceTab:

## Signals

void | signalRestartNeeded (bool needed)

## Public Member Functions

| AppearanceTab (QWidget *parent=nullptr)
| Construct a new Appearance Tab object. More...
void | SetSettings ()
| Set the Settings object.
void | ApplySettings ()

## Private Attributes

std::shared_ptr< Ui_AppearanceSettings > | ui_
QButtonGroup * | icon_style_group_
QButtonGroup * | icon_size_group_

## Constructor & Destructor Documentation

## AppearanceTab()

GpgFrontend::UI::AppearanceTab::AppearanceTab | ( | QWidget * | parent = `nullptr` | ) |

explicit

Construct a new Appearance Tab object.

Parameters

  parent |

References SetSettings().

## Member Function Documentation

## signalRestartNeeded

void GpgFrontend::UI::AppearanceTab::signalRestartNeeded | ( | bool | needed | ) |

signal

Parameters

  needed |

The documentation for this class was generated from the following files:

- src/ui/dialog/settings/SettingsAppearance.h
- src/ui/dialog/settings/SettingsAppearance.cpp